<div class="ibox-form-container mb-0">

  <div *ngIf="hideTitle"class="ibox-title">
    <div class="ibox-title-child" style="display: inline-block">{{"ACCOUNT_DETAILS.TASK.TITLE2"|translate}}</div>
  </div>

  <form class="ibox-filter p-4 mt-2" [formGroup]="formGroup" (ngSubmit)="onSubmit()" autocomplete="off">

    <div class="row">
      <div class="col-sm-6">
        <input type="text" class="form-control form-control-sm" formControlName="subject"
               [placeholder]="'FIELD.EVENT.SUJET'|translate">
        <div *ngIf="formGroup.get('subject').invalid && showValidationsMsg" class="col-12">
          <div *ngIf="formGroup.get('subject').errors.required" class="text-danger">
            <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
          </div>
        </div>
      </div>

      <div class="col-sm-6 mt-sm-0 mt-2">
        <ngx-select [items]="taskTypeList" [optionValueField]="'code'"
                    [optionTextField]="'value'" formControlName="type"
                    [placeholder]="'FIELD.TASK.TYPE'|translate" size='small' ngDefaultControl>
        </ngx-select>
        <div *ngIf="formGroup.get('type').invalid && showValidationsMsg" class="col-12">
          <div *ngIf="formGroup.get('type').errors.required" class="text-danger">
            <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
          </div>
        </div>
      </div>
    </div>

    <ng-container *ngIf="data?.redirect && !data?.accountCode">
      <div class="row mt-2 mt-sm-4">
        <div class="col-sm-6">
          <ngx-select [items]="accountTypeList" [optionValueField]="'code'" [optionTextField]="'label'"
                      formControlName="accountType" [placeholder]="'FIELD.TASK.LINKED_TO'|translate" size='small'
                      [ngClass]="{'disabled': formGroup?.get('accountType').disabled}"></ngx-select>
          <div *ngIf="formGroup?.get('accountType').invalid && showValidationsMsg">
            <div *ngIf="formGroup?.get('accountType').errors.required" class="text-danger">
              <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
            </div>
          </div>
        </div>

        <div class="col-sm-6 mt-sm-0 mt-2">
          <ngx-select [items]="formGroup?.get('accountType').value === 'PP' ? accountPPList : formGroup?.get('accountType').value === 'PM' ? accountPMList : null"
                      [optionValueField]="'code'" [optionTextField]="'description'" formControlName="account"
                      [placeholder]="'FIELD.ACTIVITY.COMPTE'|translate" size='small'
                      [ngClass]="{'disabled': formGroup?.get('account').disabled}">
          </ngx-select>
          <div *ngIf="formGroup?.get('account').invalid && showValidationsMsg">
            <div *ngIf="formGroup?.get('account').errors.required" class="text-danger">
              <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
            </div>
          </div>
        </div>
      </div>
    </ng-container>

    <ng-container *ngIf="data?.accountCode">
      <div class="row mt-2 mt-sm-4">
        <div class="col-sm-6">
          <input type="text" class="form-control form-control-sm" formControlName="account"
                 disabled [placeholder]="'FIELD.ACTIVITY.COMPTE'|translate">
        </div>
      </div>
    </ng-container>

    <ng-container *ngIf="!data?.redirect">
      <div class="row mt-2 mt-sm-4">
        <div class="col-sm-6 col-form-label font-weight-normal">
          {{'FIELD.TASK.LINKED_TO'|translate}}
          <ng-container *ngIf="accountType==='PP'">
            {{accountPP?.nom + ' ' + accountPP?.prenom}}
          </ng-container>
          <ng-container *ngIf="accountType==='PM'">
            {{accountPM?.raisonSociale}}
          </ng-container>
        </div>

        <div class="col-sm-6 mt-sm-0 mt-2">
          <select class="form-control form-control-sm" formControlName="contact">
            <option [ngValue]="null" selected [hidden]="formGroup.get('contact').value === null">
              {{(formGroup.get('contact').value === null ? 'FIELD.TASK.CONTACT' : '') | translate}}
            </option>
            <option *ngFor="let contact of contactsList" [ngValue]="contact">{{contact.descriptionContact}}</option>
          </select>
          <div *ngIf="formGroup.get('contact').invalid && showValidationsMsg" class="col-12">
            <div *ngIf="formGroup.get('contact').errors.required" class="text-danger">
              <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
            </div>
          </div>
        </div>
      </div>
    </ng-container>

    <div class="row mt-2 mt-sm-4">
      <div class="col-sm-6">
        <ngx-select [items]="statusList" [optionValueField]="'code'" [optionTextField]="'value'" size="small"
          formControlName="status" [placeholder]="'FIELD.INCIDENT.STATUT'|translate" ngDefaultControl>
        </ngx-select>
        <div *ngIf="formGroup.get('status').invalid && showValidationsMsg" class="col-12">
          <div *ngIf="formGroup.get('status').errors.required" class="text-danger">
            <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
          </div>
        </div>
      </div>

      <div class="col-sm-6 mt-sm-0 mt-2" >
        <input type="text" class="form-control form-control-sm"  [placeholder]="'FIELD.TASK.DATE_ECHEANCE'|translate"
               formControlName="date" [owlDateTime]="dt">
        <span class="trigger date-trigger-icon" [owlDateTimeTrigger]="dt" [title]="'FIELD.PLEASE.CHOOSE'|translate">
                       <i class="ri-calendar-line"></i></span>
        <owl-date-time #dt [pickerType]="'calendar'"></owl-date-time>
        <div *ngIf="formGroup.get('date').invalid && showValidationsMsg" class="col-12">
          <div *ngIf="formGroup.get('date').errors.required" class="text-danger">
            <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
          </div>
        </div>
      </div>
    </div>

    <div class="row mt-2 mt-sm-4">
      <div class="col-sm-6">
        <textarea rows="3" type="text" class="form-control form-control-sm" formControlName="description"
                  [placeholder]="'FIELD.TASK.DESCRIPTION'|translate"></textarea>
        <div *ngIf="formGroup.get('description').invalid && showValidationsMsg" class="col-12">
          <div *ngIf="formGroup.get('description').errors.required" class="text-danger">
            <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
          </div>
        </div>
      </div>
    </div>

    <div class="row">
      <div class="col">
        <div class="float-right mt-sm-0 mt-2">
          <button type="reset" class="reset-button btn btn-sm mr-2" [title]="'FIELD.BUTTONS.RESET'|translate"
                  (click)="initFormGroup()">
            <i class="ri-arrow-go-back-line"></i>
          </button>
          <button type="submit" class="submit-button btn btn-sm" [title]="'FIELD.BUTTONS.SAVE'|translate">
            <i class="ri-save-2-line"></i>
          </button>
        </div>
      </div>
    </div>

  </form>

</div>
